PLplot: plplotcanvas.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions | Variables
plplotcanvas.c File Reference
`#include "plplotcanvas.h"`

Go to the source code of this file.

## Functions
void | plplot_canvas_dispose (PlplotCanvas *self)
static void | plplot_canvas_finalize (PlplotCanvas *self)
static void | plplot_canvas_init (PlplotCanvas *self)
static void | plplot_canvas_class_init (PlplotCanvasClass *klass)
void | plplot_canvas_devinit (PlplotCanvas *self)
GType | plplot_canvas_get_type ()
PlplotCanvas * | plplot_canvas_new ()
gint | plplot_canvas_get_stream_number (PlplotCanvas *self)
void | plplot_canvas_set_size (PlplotCanvas *self, gint width, gint height)
void | plplot_canvas_set_zoom (PlplotCanvas *self, gdouble zoom)
void | plplot_canvas_use_text (PlplotCanvas *self, gboolean use_text)
void | plplot_canvas_use_pixmap (PlplotCanvas *self, gboolean use_pixmap)
void | plplot_canvas_use_persistence (PlplotCanvas *self, gboolean use_persistence)
void | plplot_canvas_setcontlabelformat (PlplotCanvas *self, PLINT lexp, PLINT sigdig)
void | plplot_canvas_setcontlabelparam (PlplotCanvas *self, PLFLT offset, PLFLT size, PLFLT spacing, PLINT active)
void | plplot_canvas_adv (PlplotCanvas *self, PLINT page)
void | plplot_canvas_vect (PlplotCanvas *self, PLFLT **u, PLFLT **v, PLINT nx, PLINT ny, PLFLT scale, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plplot_canvas_svect (PlplotCanvas *self, PLFLT *arrowx, PLFLT *arrowy, PLINT npts, PLINT fill)
void | plplot_canvas_axes (PlplotCanvas *self, PLFLT x0, PLFLT y0, const char *xopt, PLFLT xtick, PLINT nxsub, const char *yopt, PLFLT ytick, PLINT nysub)
void | plplot_canvas_bin (PlplotCanvas *self, PLINT nbin, PLFLT *x, PLFLT *y, PLINT center)
void | plplot_canvas_bop (PlplotCanvas *self)
void | plplot_canvas_box (PlplotCanvas *self, const char *xopt, PLFLT xtick, PLINT nxsub, const char *yopt, PLFLT ytick, PLINT nysub)
void | plplot_canvas_box3 (PlplotCanvas *self, const char *xopt, const char *xlabel, PLFLT xtick, PLINT nsubx, const char *yopt, const char *ylabel, PLFLT ytick, PLINT nsuby, const char *zopt, const char *zlabel, PLFLT ztick, PLINT nsubz)
void | plplot_canvas_calc_world (PlplotCanvas *self, PLFLT rx, PLFLT ry, PLFLT *wx, PLFLT *wy, PLINT *window)
void | plplot_canvas_clear (PlplotCanvas *self)
void | plplot_canvas_col0 (PlplotCanvas *self, PLINT icol0)
void | plplot_canvas_col1 (PlplotCanvas *self, PLFLT col1)
void | plplot_canvas_cont (PlplotCanvas *self, PLFLT **f, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, PLFLT *clevel, PLINT nlevel, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plplot_canvas_fcont (PlplotCanvas *self, PLFLT(*f2eval)(PLINT, PLINT, PLPointer), PLPointer f2eval_data, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, PLFLT *clevel, PLINT nlevel, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plplot_canvas_did2pc (PlplotCanvas *self, PLFLT *xmin, PLFLT *ymin, PLFLT *xmax, PLFLT *ymax)
void | plplot_canvas_dip2dc (PlplotCanvas *self, PLFLT *xmin, PLFLT *ymin, PLFLT *xmax, PLFLT *ymax)
void | plplot_canvas_eop (PlplotCanvas *self)
void | plplot_canvas_errx (PlplotCanvas *self, PLINT n, PLFLT *xmin, PLFLT *xmax, PLFLT *y)
void | plplot_canvas_erry (PlplotCanvas *self, PLINT n, PLFLT *x, PLFLT *ymin, PLFLT *ymax)
void | plplot_canvas_fill (PlplotCanvas *self, PLINT n, PLFLT *x, PLFLT *y)
void | plplot_canvas_fill3 (PlplotCanvas *self, PLINT n, PLFLT *x, PLFLT *y, PLFLT *z)
void | plplot_canvas_font (PlplotCanvas *self, PLINT ifont)
void | plplot_canvas_fontld (PlplotCanvas *self, PLINT fnt)
void | plplot_canvas_gchr (PlplotCanvas *self, PLFLT *p_def, PLFLT *p_ht)
void | plplot_canvas_gcol0 (PlplotCanvas *self, PLINT icol0, PLINT *r, PLINT *g, PLINT *b)
void | plplot_canvas_gcolbg (PlplotCanvas *self, PLINT *r, PLINT *g, PLINT *b)
void | plplot_canvas_gcompression (PlplotCanvas *self, PLINT *compression)
void | plplot_canvas_gdev (PlplotCanvas *self, char *p_dev)
void | plplot_canvas_gdidev (PlplotCanvas *self, PLFLT *p_mar, PLFLT *p_aspect, PLFLT *p_jx, PLFLT *p_jy)
void | plplot_canvas_gdiori (PlplotCanvas *self, PLFLT *p_rot)
void | plplot_canvas_gdiplt (PlplotCanvas *self, PLFLT *p_xmin, PLFLT *p_ymin, PLFLT *p_xmax, PLFLT *p_ymax)
void | plplot_canvas_gfci (PlplotCanvas *self, PLUNICODE *pfci)
void | plplot_canvas_gfnam (PlplotCanvas *self, char *fnam)
void | plplot_canvas_glevel (PlplotCanvas *self, PLINT *p_level)
void | plplot_canvas_gpage (PlplotCanvas *self, PLFLT *p_xp, PLFLT *p_yp, PLINT *p_xleng, PLINT *p_yleng, PLINT *p_xoff, PLINT *p_yoff)
void | plplot_canvas_griddata (PlplotCanvas *self, PLFLT *x, PLFLT *y, PLFLT *z, PLINT npts, PLFLT *xg, PLINT nptsx, PLFLT *yg, PLINT nptsy, PLFLT **zg, PLINT type, PLFLT data)
void | plplot_canvas_gspa (PlplotCanvas *self, PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax)
void | plplot_canvas_gver (PlplotCanvas *self, char *p_ver)
void | plplot_canvas_gvpd (PlplotCanvas *self, PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | plplot_canvas_gvpw (PlplotCanvas *self, PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | plplot_canvas_gxax (PlplotCanvas *self, PLINT *p_digmax, PLINT *p_digits)
void | plplot_canvas_gyax (PlplotCanvas *self, PLINT *p_digmax, PLINT *p_digits)
void | plplot_canvas_gzax (PlplotCanvas *self, PLINT *p_digmax, PLINT *p_digits)
void | plplot_canvas_hist (PlplotCanvas *self, PLINT n, PLFLT *data, PLFLT datmin, PLFLT datmax, PLINT nbin, PLINT oldwin)
void | plplot_canvas_join (PlplotCanvas *self, PLFLT x1, PLFLT y1, PLFLT x2, PLFLT y2)
void | plplot_canvas_lab (PlplotCanvas *self, const char *xlabel, const char *ylabel, const char *tlabel)
void | plplot_canvas_lightsource (PlplotCanvas *self, PLFLT x, PLFLT y, PLFLT z)
void | plplot_canvas_line (PlplotCanvas *self, PLINT n, PLFLT *x, PLFLT *y)
void | plplot_canvas_line3 (PlplotCanvas *self, PLINT n, PLFLT *x, PLFLT *y, PLFLT *z)
void | plplot_canvas_lsty (PlplotCanvas *self, PLINT lin)
void | plplot_canvas_map (PlplotCanvas *self, void(*mapform)(PLINT, PLFLT *, PLFLT *), char *type, PLFLT minlong, PLFLT maxlong, PLFLT minlat, PLFLT maxlat)
void | plplot_canvas_meridians (PlplotCanvas *self, void(*mapform)(PLINT, PLFLT *, PLFLT *), PLFLT dlong, PLFLT dlat, PLFLT minlong, PLFLT maxlong, PLFLT minlat, PLFLT maxlat)
void | plplot_canvas_mesh (PlplotCanvas *self, PLFLT *x, PLFLT *y, PLFLT **z, PLINT nx, PLINT ny, PLINT opt)
void | plplot_canvas_meshc (PlplotCanvas *self, PLFLT *x, PLFLT *y, PLFLT **z, PLINT nx, PLINT ny, PLINT opt, PLFLT *clevel, PLINT nlevel)
void | plplot_canvas_mtex (PlplotCanvas *self, const char *side, PLFLT disp, PLFLT pos, PLFLT just, const char *text)
void | plplot_canvas_plot3d (PlplotCanvas *self, PLFLT *x, PLFLT *y, PLFLT **z, PLINT nx, PLINT ny, PLINT opt, PLINT side)
void | plplot_canvas_plot3dc (PlplotCanvas *self, PLFLT *x, PLFLT *y, PLFLT **z, PLINT nx, PLINT ny, PLINT opt, PLFLT *clevel, PLINT nlevel)
void | plplot_canvas_plot3dcl (PlplotCanvas *self, PLFLT *x, PLFLT *y, PLFLT **z, PLINT nx, PLINT ny, PLINT opt, PLFLT *clevel, PLINT nlevel, PLINT ixstart, PLINT ixn, PLINT *indexymin, PLINT *indexymax)
void | plplot_canvas_pat (PlplotCanvas *self, PLINT nlin, PLINT *inc, PLINT *del)
void | plplot_canvas_poin (PlplotCanvas *self, PLINT n, PLFLT *x, PLFLT *y, PLINT code)
void | plplot_canvas_poin3 (PlplotCanvas *self, PLINT n, PLFLT *x, PLFLT *y, PLFLT *z, PLINT code)
void | plplot_canvas_poly3 (PlplotCanvas *self, PLINT n, PLFLT *x, PLFLT *y, PLFLT *z, PLINT *draw, PLINT ifcc)
void | plplot_canvas_prec (PlplotCanvas *self, PLINT setp, PLINT prec)
void | plplot_canvas_psty (PlplotCanvas *self, PLINT patt)
void | plplot_canvas_ptex (PlplotCanvas *self, PLFLT x, PLFLT y, PLFLT dx, PLFLT dy, PLFLT just, const char *text)
void | plplot_canvas_replot (PlplotCanvas *self)
void | plplot_canvas_schr (PlplotCanvas *self, PLFLT def, PLFLT scale)
void | plplot_canvas_scmap0 (PlplotCanvas *self, PLINT *r, PLINT *g, PLINT *b, PLINT ncol0)
void | plplot_canvas_scmap0n (PlplotCanvas *self, PLINT ncol0)
void | plplot_canvas_scmap1 (PlplotCanvas *self, PLINT *r, PLINT *g, PLINT *b, PLINT ncol1)
void | plplot_canvas_scmap1l (PlplotCanvas *self, PLINT itype, PLINT npts, PLFLT *intensity, PLFLT *coord1, PLFLT *coord2, PLFLT *coord3, PLINT *alt_hue_path)
void | plplot_canvas_scmap1n (PlplotCanvas *self, PLINT ncol1)
void | plplot_canvas_scol0 (PlplotCanvas *self, PLINT icol0, PLINT r, PLINT g, PLINT b)
void | plplot_canvas_scolbg (PlplotCanvas *self, PLINT r, PLINT g, PLINT b)
void | plplot_canvas_scolor (PlplotCanvas *self, PLINT color)
void | plplot_canvas_scompression (PlplotCanvas *self, PLINT compression)
void | plplot_canvas_sdidev (PlplotCanvas *self, PLFLT mar, PLFLT aspect, PLFLT jx, PLFLT jy)
void | plplot_canvas_sdimap (PlplotCanvas *self, PLINT dimxmin, PLINT dimxmax, PLINT dimymin, PLINT dimymax, PLFLT dimxpmm, PLFLT dimypmm)
void | plplot_canvas_sdiori (PlplotCanvas *self, PLFLT rot)
void | plplot_canvas_sdiplt (PlplotCanvas *self, PLFLT xmin, PLFLT ymin, PLFLT xmax, PLFLT ymax)
void | plplot_canvas_sdiplz (PlplotCanvas *self, PLFLT xmin, PLFLT ymin, PLFLT xmax, PLFLT ymax)
void | plplot_canvas_sesc (PlplotCanvas *self, char esc)
void | plplot_canvas_sfci (PlplotCanvas *self, PLUNICODE fci)
void | plplot_canvas_sfnam (PlplotCanvas *self, const char *fnam)
void | plplot_canvas_shade (PlplotCanvas *self, PLFLT **a, PLINT nx, PLINT ny, PLINT(*defined)(PLFLT, PLFLT), PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLINT sh_width, PLINT min_color, PLINT min_width, PLINT max_color, PLINT max_width, void(*fill)(PLINT, PLFLT *, PLFLT *), PLINT rectangular, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plplot_canvas_shade1 (PlplotCanvas *self, PLFLT *a, PLINT nx, PLINT ny, PLINT(*defined)(PLFLT, PLFLT), PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLINT sh_width, PLINT min_color, PLINT min_width, PLINT max_color, PLINT max_width, void(*fill)(PLINT, PLFLT *, PLFLT *), PLINT rectangular, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plplot_canvas_shades (PlplotCanvas *self, PLFLT **a, PLINT nx, PLINT ny, PLINT(*defined)(PLFLT, PLFLT), PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT *clevel, PLINT nlevel, PLINT fill_width, PLINT cont_color, PLINT cont_width, void(*fill)(PLINT, PLFLT *, PLFLT *), PLINT rectangular, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plplot_canvas_fshade (PlplotCanvas *self, PLFLT(*f2eval)(PLINT, PLINT, PLPointer), PLPointer f2eval_data, PLFLT(*c2eval)(PLINT, PLINT, PLPointer), PLPointer c2eval_data, PLINT nx, PLINT ny, PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLINT sh_width, PLINT min_color, PLINT min_width, PLINT max_color, PLINT max_width, void(*fill)(PLINT, PLFLT *, PLFLT *), PLINT rectangular, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plplot_canvas_smaj (PlplotCanvas *self, PLFLT def, PLFLT scale)
void | plplot_canvas_smin (PlplotCanvas *self, PLFLT def, PLFLT scale)
void | plplot_canvas_spage (PlplotCanvas *self, PLFLT xp, PLFLT yp, PLINT xleng, PLINT yleng, PLINT xoff, PLINT yoff)
void | plplot_canvas_ssub (PlplotCanvas *self, PLINT nx, PLINT ny)
void | plplot_canvas_ssym (PlplotCanvas *self, PLFLT def, PLFLT scale)
void | plplot_canvas_image (PlplotCanvas *self, PLFLT **data, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT Dxmin, PLFLT Dxmax, PLFLT Dymin, PLFLT Dymax)
void | plplot_canvas_styl (PlplotCanvas *self, PLINT nms, PLINT *mark, PLINT *space)
void | plplot_canvas_surf3d (PlplotCanvas *self, PLFLT *x, PLFLT *y, PLFLT **z, PLINT nx, PLINT ny, PLINT opt, PLFLT *clevel, PLINT nlevel)
void | plplot_canvas_surf3dl (PlplotCanvas *self, PLFLT *x, PLFLT *y, PLFLT **z, PLINT nx, PLINT ny, PLINT opt, PLFLT *clevel, PLINT nlevel, PLINT ixstart, PLINT ixn, PLINT *indexymin, PLINT *indexymax)
void | plplot_canvas_svpa (PlplotCanvas *self, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax)
void | plplot_canvas_sxax (PlplotCanvas *self, PLINT digmax, PLINT digits)
void | plplot_canvas_sxwin (PlplotCanvas *self, PLINT window_id)
void | plplot_canvas_syax (PlplotCanvas *self, PLINT digmax, PLINT digits)
void | plplot_canvas_sym (PlplotCanvas *self, PLINT n, PLFLT *x, PLFLT *y, PLINT code)
void | plplot_canvas_szax (PlplotCanvas *self, PLINT digmax, PLINT digits)
void | plplot_canvas_text (PlplotCanvas *self)
void | plplot_canvas_vasp (PlplotCanvas *self, PLFLT aspect)
void | plplot_canvas_vpas (PlplotCanvas *self, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT aspect)
void | plplot_canvas_vpor (PlplotCanvas *self, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax)
void | plplot_canvas_vsta (PlplotCanvas *self)
void | plplot_canvas_w3d (PlplotCanvas *self, PLFLT basex, PLFLT basey, PLFLT height, PLFLT xmin0, PLFLT xmax0, PLFLT ymin0, PLFLT ymax0, PLFLT zmin0, PLFLT zmax0, PLFLT alt, PLFLT az)
void | plplot_canvas_wid (PlplotCanvas *self, PLINT width)
void | plplot_canvas_wind (PlplotCanvas *self, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax)
void | plplot_canvas_xormod (PlplotCanvas *self, PLINT mode, PLINT *status)

## Variables
static GObjectClass * | parent_class = NULL

## Function Documentation

void plplot_canvas_adv | ( | PlplotCanvas * | self,
|  | PLINT | page
| ) |  |

Definition at line 194 of file plplotcanvas.c.

void plplot_canvas_axes | ( | PlplotCanvas * | self,
|  | PLFLT | x0,
|  | PLFLT | y0,
|  | const char * | xopt,
|  | PLFLT | xtick,
|  | PLINT | nxsub,
|  | const char * | yopt,
|  | PLFLT | ytick,
|  | PLINT | nysub
| ) |  |

Definition at line 217 of file plplotcanvas.c.

void plplot_canvas_bin | ( | PlplotCanvas * | self,
|  | PLINT | nbin,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLINT | center
| ) |  |

Definition at line 225 of file plplotcanvas.c.

void plplot_canvas_bop | ( | PlplotCanvas * | self | ) |

Definition at line 233 of file plplotcanvas.c.

void plplot_canvas_box | ( | PlplotCanvas * | self,
|  | const char * | xopt,
|  | PLFLT | xtick,
|  | PLINT | nxsub,
|  | const char * | yopt,
|  | PLFLT | ytick,
|  | PLINT | nysub
| ) |  |

Definition at line 241 of file plplotcanvas.c.

void plplot_canvas_box3 | ( | PlplotCanvas * | self,
|  | const char * | xopt,
|  | const char * | xlabel,
|  | PLFLT | xtick,
|  | PLINT | nsubx,
|  | const char * | yopt,
|  | const char * | ylabel,
|  | PLFLT | ytick,
|  | PLINT | nsuby,
|  | const char * | zopt,
|  | const char * | zlabel,
|  | PLFLT | ztick,
|  | PLINT | nsubz
| ) |  |

Definition at line 249 of file plplotcanvas.c.

void plplot_canvas_calc_world | ( | PlplotCanvas * | self,
|  | PLFLT | rx,
|  | PLFLT | ry,
|  | PLFLT * | wx,
|  | PLFLT * | wy,
|  | PLINT * | window
| ) |  |

Definition at line 257 of file plplotcanvas.c.

static void plplot_canvas_class_init | ( | PlplotCanvasClass * | klass | ) |
| static

Definition at line 75 of file plplotcanvas.c.

void plplot_canvas_clear | ( | PlplotCanvas * | self | ) |

Definition at line 265 of file plplotcanvas.c.

void plplot_canvas_col0 | ( | PlplotCanvas * | self,
|  | PLINT | icol0
| ) |  |

Definition at line 273 of file plplotcanvas.c.

void plplot_canvas_col1 | ( | PlplotCanvas * | self,
|  | PLFLT | col1
| ) |  |

Definition at line 281 of file plplotcanvas.c.

void plplot_canvas_cont | ( | PlplotCanvas * | self,
|  | PLFLT ** | f,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | PLFLT * | clevel,
|  | PLINT | nlevel,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 291 of file plplotcanvas.c.

void plplot_canvas_devinit | ( | PlplotCanvas * | self | ) |

Definition at line 83 of file plplotcanvas.c.

void plplot_canvas_did2pc | ( | PlplotCanvas * | self,
|  | PLFLT * | xmin,
|  | PLFLT * | ymin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymax
| ) |  |

Definition at line 318 of file plplotcanvas.c.

void plplot_canvas_dip2dc | ( | PlplotCanvas * | self,
|  | PLFLT * | xmin,
|  | PLFLT * | ymin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymax
| ) |  |

Definition at line 327 of file plplotcanvas.c.

void plplot_canvas_dispose | ( | PlplotCanvas * | self | ) |

Definition at line 45 of file plplotcanvas.c.

void plplot_canvas_eop | ( | PlplotCanvas * | self | ) |

Definition at line 364 of file plplotcanvas.c.

void plplot_canvas_errx | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | y
| ) |  |

Definition at line 372 of file plplotcanvas.c.

void plplot_canvas_erry | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | x,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax
| ) |  |

Definition at line 380 of file plplotcanvas.c.

void plplot_canvas_fcont | ( | PlplotCanvas * | self,
|  | PLFLT(*)(PLINT, PLINT, PLPointer) | f2eval,
|  | PLPointer | f2eval_data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | PLFLT * | clevel,
|  | PLINT | nlevel,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 302 of file plplotcanvas.c.

void plplot_canvas_fill | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | x,
|  | PLFLT * | y
| ) |  |

Definition at line 395 of file plplotcanvas.c.

void plplot_canvas_fill3 | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z
| ) |  |

Definition at line 403 of file plplotcanvas.c.

static void plplot_canvas_finalize | ( | PlplotCanvas * | self | ) |
| static

Definition at line 50 of file plplotcanvas.c.

void plplot_canvas_font | ( | PlplotCanvas * | self,
|  | PLINT | ifont
| ) |  |

Definition at line 418 of file plplotcanvas.c.

void plplot_canvas_fontld | ( | PlplotCanvas * | self,
|  | PLINT | fnt
| ) |  |

Definition at line 426 of file plplotcanvas.c.

void plplot_canvas_fshade | ( | PlplotCanvas * | self,
|  | PLFLT(*)(PLINT, PLINT, PLPointer) | f2eval,
|  | PLPointer | f2eval_data,
|  | PLFLT(*)(PLINT, PLINT, PLPointer) | c2eval,
|  | PLPointer | c2eval_data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | left,
|  | PLFLT | right,
|  | PLFLT | bottom,
|  | PLFLT | top,
|  | PLFLT | shade_min,
|  | PLFLT | shade_max,
|  | PLINT | sh_cmap,
|  | PLFLT | sh_color,
|  | PLINT | sh_width,
|  | PLINT | min_color,
|  | PLINT | min_width,
|  | PLINT | max_color,
|  | PLINT | max_width,
|  | void(*)(PLINT, PLFLT *, PLFLT *) | fill,
|  | PLINT | rectangular,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 1020 of file plplotcanvas.c.

void plplot_canvas_gchr | ( | PlplotCanvas * | self,
|  | PLFLT * | p_def,
|  | PLFLT * | p_ht
| ) |  |

Definition at line 434 of file plplotcanvas.c.

void plplot_canvas_gcol0 | ( | PlplotCanvas * | self,
|  | PLINT | icol0,
|  | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b
| ) |  |

Definition at line 442 of file plplotcanvas.c.

void plplot_canvas_gcolbg | ( | PlplotCanvas * | self,
|  | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b
| ) |  |

Definition at line 450 of file plplotcanvas.c.

void plplot_canvas_gcompression | ( | PlplotCanvas * | self,
|  | PLINT * | compression
| ) |  |

Definition at line 458 of file plplotcanvas.c.

void plplot_canvas_gdev | ( | PlplotCanvas * | self,
|  | char * | p_dev
| ) |  |

Definition at line 466 of file plplotcanvas.c.

void plplot_canvas_gdidev | ( | PlplotCanvas * | self,
|  | PLFLT * | p_mar,
|  | PLFLT * | p_aspect,
|  | PLFLT * | p_jx,
|  | PLFLT * | p_jy
| ) |  |

Definition at line 474 of file plplotcanvas.c.

void plplot_canvas_gdiori | ( | PlplotCanvas * | self,
|  | PLFLT * | p_rot
| ) |  |

Definition at line 482 of file plplotcanvas.c.

void plplot_canvas_gdiplt | ( | PlplotCanvas * | self,
|  | PLFLT * | p_xmin,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 490 of file plplotcanvas.c.

gint plplot_canvas_get_stream_number | ( | PlplotCanvas * | self | ) |

Definition at line 133 of file plplotcanvas.c.

GType plplot_canvas_get_type | ( |  | ) |

Definition at line 98 of file plplotcanvas.c.

void plplot_canvas_gfci | ( | PlplotCanvas * | self,
|  | PLUNICODE * | pfci
| ) |  |

Definition at line 498 of file plplotcanvas.c.

void plplot_canvas_gfnam | ( | PlplotCanvas * | self,
|  | char * | fnam
| ) |  |

Definition at line 513 of file plplotcanvas.c.

void plplot_canvas_glevel | ( | PlplotCanvas * | self,
|  | PLINT * | p_level
| ) |  |

Definition at line 521 of file plplotcanvas.c.

void plplot_canvas_gpage | ( | PlplotCanvas * | self,
|  | PLFLT * | p_xp,
|  | PLFLT * | p_yp,
|  | PLINT * | p_xleng,
|  | PLINT * | p_yleng,
|  | PLINT * | p_xoff,
|  | PLINT * | p_yoff
| ) |  |

Definition at line 529 of file plplotcanvas.c.

void plplot_canvas_griddata | ( | PlplotCanvas * | self,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z,
|  | PLINT | npts,
|  | PLFLT * | xg,
|  | PLINT | nptsx,
|  | PLFLT * | yg,
|  | PLINT | nptsy,
|  | PLFLT ** | zg,
|  | PLINT | type,
|  | PLFLT | data
| ) |  |

Definition at line 544 of file plplotcanvas.c.

void plplot_canvas_gspa | ( | PlplotCanvas * | self,
|  | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax
| ) |  |

Definition at line 552 of file plplotcanvas.c.

void plplot_canvas_gver | ( | PlplotCanvas * | self,
|  | char * | p_ver
| ) |  |

Definition at line 567 of file plplotcanvas.c.

void plplot_canvas_gvpd | ( | PlplotCanvas * | self,
|  | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 575 of file plplotcanvas.c.

void plplot_canvas_gvpw | ( | PlplotCanvas * | self,
|  | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 583 of file plplotcanvas.c.

void plplot_canvas_gxax | ( | PlplotCanvas * | self,
|  | PLINT * | p_digmax,
|  | PLINT * | p_digits
| ) |  |

Definition at line 591 of file plplotcanvas.c.

void plplot_canvas_gyax | ( | PlplotCanvas * | self,
|  | PLINT * | p_digmax,
|  | PLINT * | p_digits
| ) |  |

Definition at line 599 of file plplotcanvas.c.

void plplot_canvas_gzax | ( | PlplotCanvas * | self,
|  | PLINT * | p_digmax,
|  | PLINT * | p_digits
| ) |  |

Definition at line 607 of file plplotcanvas.c.

void plplot_canvas_hist | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | data,
|  | PLFLT | datmin,
|  | PLFLT | datmax,
|  | PLINT | nbin,
|  | PLINT | oldwin
| ) |  |

Definition at line 615 of file plplotcanvas.c.

void plplot_canvas_image | ( | PlplotCanvas * | self,
|  | PLFLT ** | data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | Dxmin,
|  | PLFLT | Dxmax,
|  | PLFLT | Dymin,
|  | PLFLT | Dymax
| ) |  |

Definition at line 1131 of file plplotcanvas.c.

static void plplot_canvas_init | ( | PlplotCanvas * | self | ) |
| static

Definition at line 60 of file plplotcanvas.c.

void plplot_canvas_join | ( | PlplotCanvas * | self,
|  | PLFLT | x1,
|  | PLFLT | y1,
|  | PLFLT | x2,
|  | PLFLT | y2
| ) |  |

Definition at line 640 of file plplotcanvas.c.

void plplot_canvas_lab | ( | PlplotCanvas * | self,
|  | const char * | xlabel,
|  | const char * | ylabel,
|  | const char * | tlabel
| ) |  |

Definition at line 648 of file plplotcanvas.c.

void plplot_canvas_lightsource | ( | PlplotCanvas * | self,
|  | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT | z
| ) |  |

Definition at line 656 of file plplotcanvas.c.

void plplot_canvas_line | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | x,
|  | PLFLT * | y
| ) |  |

Definition at line 664 of file plplotcanvas.c.

void plplot_canvas_line3 | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z
| ) |  |

Definition at line 672 of file plplotcanvas.c.

void plplot_canvas_lsty | ( | PlplotCanvas * | self,
|  | PLINT | lin
| ) |  |

Definition at line 680 of file plplotcanvas.c.

void plplot_canvas_map | ( | PlplotCanvas * | self,
|  | void(*)(PLINT, PLFLT *, PLFLT *) | mapform,
|  | char * | type,
|  | PLFLT | minlong,
|  | PLFLT | maxlong,
|  | PLFLT | minlat,
|  | PLFLT | maxlat
| ) |  |

Definition at line 688 of file plplotcanvas.c.

void plplot_canvas_meridians | ( | PlplotCanvas * | self,
|  | void(*)(PLINT, PLFLT *, PLFLT *) | mapform,
|  | PLFLT | dlong,
|  | PLFLT | dlat,
|  | PLFLT | minlong,
|  | PLFLT | maxlong,
|  | PLFLT | minlat,
|  | PLFLT | maxlat
| ) |  |

Definition at line 696 of file plplotcanvas.c.

void plplot_canvas_mesh | ( | PlplotCanvas * | self,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT ** | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt
| ) |  |

Definition at line 704 of file plplotcanvas.c.

void plplot_canvas_meshc | ( | PlplotCanvas * | self,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT ** | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | PLFLT * | clevel,
|  | PLINT | nlevel
| ) |  |

Definition at line 712 of file plplotcanvas.c.

void plplot_canvas_mtex | ( | PlplotCanvas * | self,
|  | const char * | side,
|  | PLFLT | disp,
|  | PLFLT | pos,
|  | PLFLT | just,
|  | const char * | text
| ) |  |

Definition at line 727 of file plplotcanvas.c.

PlplotCanvas* plplot_canvas_new | ( |  | ) |

Definition at line 122 of file plplotcanvas.c.

void plplot_canvas_pat | ( | PlplotCanvas * | self,
|  | PLINT | nlin,
|  | PLINT * | inc,
|  | PLINT * | del
| ) |  |

Definition at line 760 of file plplotcanvas.c.

void plplot_canvas_plot3d | ( | PlplotCanvas * | self,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT ** | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | PLINT | side
| ) |  |

Definition at line 735 of file plplotcanvas.c.

void plplot_canvas_plot3dc | ( | PlplotCanvas * | self,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT ** | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | PLFLT * | clevel,
|  | PLINT | nlevel
| ) |  |

Definition at line 743 of file plplotcanvas.c.

void plplot_canvas_plot3dcl | ( | PlplotCanvas * | self,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT ** | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | PLFLT * | clevel,
|  | PLINT | nlevel,
|  | PLINT | ixstart,
|  | PLINT | ixn,
|  | PLINT * | indexymin,
|  | PLINT * | indexymax
| ) |  |

Definition at line 752 of file plplotcanvas.c.

void plplot_canvas_poin | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLINT | code
| ) |  |

Definition at line 768 of file plplotcanvas.c.

void plplot_canvas_poin3 | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z,
|  | PLINT | code
| ) |  |

Definition at line 776 of file plplotcanvas.c.

void plplot_canvas_poly3 | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT * | z,
|  | PLINT * | draw,
|  | PLINT | ifcc
| ) |  |

Definition at line 784 of file plplotcanvas.c.

void plplot_canvas_prec | ( | PlplotCanvas * | self,
|  | PLINT | setp,
|  | PLINT | prec
| ) |  |

Definition at line 792 of file plplotcanvas.c.

void plplot_canvas_psty | ( | PlplotCanvas * | self,
|  | PLINT | patt
| ) |  |

Definition at line 800 of file plplotcanvas.c.

void plplot_canvas_ptex | ( | PlplotCanvas * | self,
|  | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | PLFLT | just,
|  | const char * | text
| ) |  |

Definition at line 808 of file plplotcanvas.c.

void plplot_canvas_replot | ( | PlplotCanvas * | self | ) |

Definition at line 816 of file plplotcanvas.c.

void plplot_canvas_schr | ( | PlplotCanvas * | self,
|  | PLFLT | def,
|  | PLFLT | scale
| ) |  |

Definition at line 842 of file plplotcanvas.c.

void plplot_canvas_scmap0 | ( | PlplotCanvas * | self,
|  | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b,
|  | PLINT | ncol0
| ) |  |

Definition at line 850 of file plplotcanvas.c.

void plplot_canvas_scmap0n | ( | PlplotCanvas * | self,
|  | PLINT | ncol0
| ) |  |

Definition at line 858 of file plplotcanvas.c.

void plplot_canvas_scmap1 | ( | PlplotCanvas * | self,
|  | PLINT * | r,
|  | PLINT * | g,
|  | PLINT * | b,
|  | PLINT | ncol1
| ) |  |

Definition at line 866 of file plplotcanvas.c.

void plplot_canvas_scmap1l | ( | PlplotCanvas * | self,
|  | PLINT | itype,
|  | PLINT | npts,
|  | PLFLT * | intensity,
|  | PLFLT * | coord1,
|  | PLFLT * | coord2,
|  | PLFLT * | coord3,
|  | PLINT * | alt_hue_path
| ) |  |

Definition at line 875 of file plplotcanvas.c.

void plplot_canvas_scmap1n | ( | PlplotCanvas * | self,
|  | PLINT | ncol1
| ) |  |

Definition at line 883 of file plplotcanvas.c.

void plplot_canvas_scol0 | ( | PlplotCanvas * | self,
|  | PLINT | icol0,
|  | PLINT | r,
|  | PLINT | g,
|  | PLINT | b
| ) |  |

Definition at line 891 of file plplotcanvas.c.

void plplot_canvas_scolbg | ( | PlplotCanvas * | self,
|  | PLINT | r,
|  | PLINT | g,
|  | PLINT | b
| ) |  |

Definition at line 899 of file plplotcanvas.c.

void plplot_canvas_scolor | ( | PlplotCanvas * | self,
|  | PLINT | color
| ) |  |

Definition at line 907 of file plplotcanvas.c.

void plplot_canvas_scompression | ( | PlplotCanvas * | self,
|  | PLINT | compression
| ) |  |

Definition at line 915 of file plplotcanvas.c.

void plplot_canvas_sdidev | ( | PlplotCanvas * | self,
|  | PLFLT | mar,
|  | PLFLT | aspect,
|  | PLFLT | jx,
|  | PLFLT | jy
| ) |  |

Definition at line 931 of file plplotcanvas.c.

void plplot_canvas_sdimap | ( | PlplotCanvas * | self,
|  | PLINT | dimxmin,
|  | PLINT | dimxmax,
|  | PLINT | dimymin,
|  | PLINT | dimymax,
|  | PLFLT | dimxpmm,
|  | PLFLT | dimypmm
| ) |  |

Definition at line 939 of file plplotcanvas.c.

void plplot_canvas_sdiori | ( | PlplotCanvas * | self,
|  | PLFLT | rot
| ) |  |

Definition at line 947 of file plplotcanvas.c.

void plplot_canvas_sdiplt | ( | PlplotCanvas * | self,
|  | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | xmax,
|  | PLFLT | ymax
| ) |  |

Definition at line 955 of file plplotcanvas.c.

void plplot_canvas_sdiplz | ( | PlplotCanvas * | self,
|  | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | xmax,
|  | PLFLT | ymax
| ) |  |

Definition at line 963 of file plplotcanvas.c.

void plplot_canvas_sesc | ( | PlplotCanvas * | self,
|  | char | esc
| ) |  |

Definition at line 971 of file plplotcanvas.c.

void plplot_canvas_set_size | ( | PlplotCanvas * | self,
|  | gint | width,
|  | gint | height
| ) |  |

Definition at line 138 of file plplotcanvas.c.

void plplot_canvas_set_zoom | ( | PlplotCanvas * | self,
|  | gdouble | zoom
| ) |  |

Definition at line 144 of file plplotcanvas.c.

void plplot_canvas_setcontlabelformat | ( | PlplotCanvas * | self,
|  | PLINT | lexp,
|  | PLINT | sigdig
| ) |  |

Definition at line 178 of file plplotcanvas.c.

void plplot_canvas_setcontlabelparam | ( | PlplotCanvas * | self,
|  | PLFLT | offset,
|  | PLFLT | size,
|  | PLFLT | spacing,
|  | PLINT | active
| ) |  |

Definition at line 186 of file plplotcanvas.c.

void plplot_canvas_sfci | ( | PlplotCanvas * | self,
|  | PLUNICODE | fci
| ) |  |

Definition at line 986 of file plplotcanvas.c.

void plplot_canvas_sfnam | ( | PlplotCanvas * | self,
|  | const char * | fnam
| ) |  |

Definition at line 994 of file plplotcanvas.c.

void plplot_canvas_shade | ( | PlplotCanvas * | self,
|  | PLFLT ** | a,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT(*)(PLFLT, PLFLT) | defined,
|  | PLFLT | left,
|  | PLFLT | right,
|  | PLFLT | bottom,
|  | PLFLT | top,
|  | PLFLT | shade_min,
|  | PLFLT | shade_max,
|  | PLINT | sh_cmap,
|  | PLFLT | sh_color,
|  | PLINT | sh_width,
|  | PLINT | min_color,
|  | PLINT | min_width,
|  | PLINT | max_color,
|  | PLINT | max_width,
|  | void(*)(PLINT, PLFLT *, PLFLT *) | fill,
|  | PLINT | rectangular,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 1002 of file plplotcanvas.c.

void plplot_canvas_shade1 | ( | PlplotCanvas * | self,
|  | PLFLT * | a,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT(*)(PLFLT, PLFLT) | defined,
|  | PLFLT | left,
|  | PLFLT | right,
|  | PLFLT | bottom,
|  | PLFLT | top,
|  | PLFLT | shade_min,
|  | PLFLT | shade_max,
|  | PLINT | sh_cmap,
|  | PLFLT | sh_color,
|  | PLINT | sh_width,
|  | PLINT | min_color,
|  | PLINT | min_width,
|  | PLINT | max_color,
|  | PLINT | max_width,
|  | void(*)(PLINT, PLFLT *, PLFLT *) | fill,
|  | PLINT | rectangular,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 1008 of file plplotcanvas.c.

void plplot_canvas_shades | ( | PlplotCanvas * | self,
|  | PLFLT ** | a,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT(*)(PLFLT, PLFLT) | defined,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT * | clevel,
|  | PLINT | nlevel,
|  | PLINT | fill_width,
|  | PLINT | cont_color,
|  | PLINT | cont_width,
|  | void(*)(PLINT, PLFLT *, PLFLT *) | fill,
|  | PLINT | rectangular,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 1014 of file plplotcanvas.c.

void plplot_canvas_smaj | ( | PlplotCanvas * | self,
|  | PLFLT | def,
|  | PLFLT | scale
| ) |  |

Definition at line 1028 of file plplotcanvas.c.

void plplot_canvas_smin | ( | PlplotCanvas * | self,
|  | PLFLT | def,
|  | PLFLT | scale
| ) |  |

Definition at line 1043 of file plplotcanvas.c.

void plplot_canvas_spage | ( | PlplotCanvas * | self,
|  | PLFLT | xp,
|  | PLFLT | yp,
|  | PLINT | xleng,
|  | PLINT | yleng,
|  | PLINT | xoff,
|  | PLINT | yoff
| ) |  |

Definition at line 1058 of file plplotcanvas.c.

void plplot_canvas_ssub | ( | PlplotCanvas * | self,
|  | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 1080 of file plplotcanvas.c.

void plplot_canvas_ssym | ( | PlplotCanvas * | self,
|  | PLFLT | def,
|  | PLFLT | scale
| ) |  |

Definition at line 1088 of file plplotcanvas.c.

void plplot_canvas_styl | ( | PlplotCanvas * | self,
|  | PLINT | nms,
|  | PLINT * | mark,
|  | PLINT * | space
| ) |  |

Definition at line 1139 of file plplotcanvas.c.

void plplot_canvas_surf3d | ( | PlplotCanvas * | self,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT ** | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | PLFLT * | clevel,
|  | PLINT | nlevel
| ) |  |

Definition at line 1147 of file plplotcanvas.c.

void plplot_canvas_surf3dl | ( | PlplotCanvas * | self,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLFLT ** | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | PLFLT * | clevel,
|  | PLINT | nlevel,
|  | PLINT | ixstart,
|  | PLINT | ixn,
|  | PLINT * | indexymin,
|  | PLINT * | indexymax
| ) |  |

Definition at line 1156 of file plplotcanvas.c.

void plplot_canvas_svect | ( | PlplotCanvas * | self,
|  | PLFLT * | arrowx,
|  | PLFLT * | arrowy,
|  | PLINT | npts,
|  | PLINT | fill
| ) |  |

Definition at line 208 of file plplotcanvas.c.

void plplot_canvas_svpa | ( | PlplotCanvas * | self,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax
| ) |  |

Definition at line 1164 of file plplotcanvas.c.

void plplot_canvas_sxax | ( | PlplotCanvas * | self,
|  | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 1172 of file plplotcanvas.c.

void plplot_canvas_sxwin | ( | PlplotCanvas * | self,
|  | PLINT | window_id
| ) |  |

Definition at line 1180 of file plplotcanvas.c.

void plplot_canvas_syax | ( | PlplotCanvas * | self,
|  | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 1188 of file plplotcanvas.c.

void plplot_canvas_sym | ( | PlplotCanvas * | self,
|  | PLINT | n,
|  | PLFLT * | x,
|  | PLFLT * | y,
|  | PLINT | code
| ) |  |

Definition at line 1196 of file plplotcanvas.c.

void plplot_canvas_szax | ( | PlplotCanvas * | self,
|  | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 1204 of file plplotcanvas.c.

void plplot_canvas_text | ( | PlplotCanvas * | self | ) |

Definition at line 1212 of file plplotcanvas.c.

void plplot_canvas_use_persistence | ( | PlplotCanvas * | self,
|  | gboolean | use_persistence
| ) |  |

Definition at line 162 of file plplotcanvas.c.

void plplot_canvas_use_pixmap | ( | PlplotCanvas * | self,
|  | gboolean | use_pixmap
| ) |  |

Definition at line 156 of file plplotcanvas.c.

void plplot_canvas_use_text | ( | PlplotCanvas * | self,
|  | gboolean | use_text
| ) |  |

Definition at line 150 of file plplotcanvas.c.

void plplot_canvas_vasp | ( | PlplotCanvas * | self,
|  | PLFLT | aspect
| ) |  |

Definition at line 1221 of file plplotcanvas.c.

void plplot_canvas_vect | ( | PlplotCanvas * | self,
|  | PLFLT ** | u,
|  | PLFLT ** | v,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | scale,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 202 of file plplotcanvas.c.

void plplot_canvas_vpas | ( | PlplotCanvas * | self,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | aspect
| ) |  |

Definition at line 1230 of file plplotcanvas.c.

void plplot_canvas_vpor | ( | PlplotCanvas * | self,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax
| ) |  |

Definition at line 1238 of file plplotcanvas.c.

void plplot_canvas_vsta | ( | PlplotCanvas * | self | ) |

Definition at line 1247 of file plplotcanvas.c.

void plplot_canvas_w3d | ( | PlplotCanvas * | self,
|  | PLFLT | basex,
|  | PLFLT | basey,
|  | PLFLT | height,
|  | PLFLT | xmin0,
|  | PLFLT | xmax0,
|  | PLFLT | ymin0,
|  | PLFLT | ymax0,
|  | PLFLT | zmin0,
|  | PLFLT | zmax0,
|  | PLFLT | alt,
|  | PLFLT | az
| ) |  |

Definition at line 1255 of file plplotcanvas.c.

void plplot_canvas_wid | ( | PlplotCanvas * | self,
|  | PLINT | width
| ) |  |

Definition at line 1263 of file plplotcanvas.c.

void plplot_canvas_wind | ( | PlplotCanvas * | self,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax
| ) |  |

Definition at line 1271 of file plplotcanvas.c.

void plplot_canvas_xormod | ( | PlplotCanvas * | self,
|  | PLINT | mode,
|  | PLINT * | status
| ) |  |

Definition at line 1279 of file plplotcanvas.c.

## Variable Documentation

GObjectClass* parent_class = NULL
| static

Definition at line 43 of file plplotcanvas.c.